\version "2.24.1"

#(begin

 (define (suppress ntimes)
  (for-each
    (lambda (x)
      (ly:expect-warning "skipping zero-duration score")
      (ly:expect-warning "to suppress this, consider adding a spacer rest"))
    (iota ntimes)))

 (let* ((score     (ly:gulp-file (format #f "~3,'0d-score.ly" N))) ; read this score
        (book      (substring score (string-contains score "\\book"))) ; retain only part starting \book
        (matches   (map match:substring (list-matches "Mvt[1-9]" book)))) ; list of matches to regex
   ; remove matches that are in Haydntags
   (for-each
     (lambda (tag) (set! matches (delete (symbol->string tag) matches)))
     Haydntags)
   (suppress (length matches)))
)
